## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Enable tests everywhere except EPEL 9, where python-httpretty is not backported.
%if 0%{?el9} || 0%{?centos} >= 9
%bcond_with    tests
%else
%bcond_without tests
%endif

%global         srcname     azure-appconfiguration

Name:           python-%{srcname}
Version:        1.1.1
Release:        %autorelease
Summary:        Microsoft App Configuration Data Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-identity)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
%endif

%global _description %{expand:
Microsoft App Configuration Data Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
# All of the configuration client tests require network access.
%pytest --ignore-glob=tests/test_azure_configuration_client*.py
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 23 2022 Major Hayden <major@redhat.com> 1.1.1-8
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> 1.1.1-7
- Rebuilt for Python 3.11

* Mon May 02 2022 Major Hayden <major@mhtx.net> 1.1.1-6
- Disable tests in EPEL 9

* Wed Apr 27 2022 Major Hayden <major@mhtx.net> 1.1.1-5
- Remove pytest-xdist

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> 1.1.1-3
- Clean up for consistency, add tests

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1.1.1-2
- Move obsoletes into subpackage

* Mon Aug 02 2021 Major Hayden <major@mhtx.net> 1.1.1-1
- Initial import (#1981573)
